curl -X GET https://api.sitespeak.ai/v1/me \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/me', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
User
Retrieve User Account
Retrieves your user account details and validates that your token is active
GET
/
v1
/
me
curl -X GET https://api.sitespeak.ai/v1/me \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/me', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Headers
| Name | Type | Description |
|---|---|---|
| Accept* | String | application/json |
| Authorization* | String | Bearer |
curl -X GET https://api.sitespeak.ai/v1/me \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/me', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Response
- 200 Success
- 401 Permission denied
{
"user": {
"id": "",
"name": "Your Name",
"email": "your.email@example.com",
"social_id": null,
"social_type": null,
"current_team_id": null,
"profile_photo_path": null,
"created_at": "2023-06-20T18:05:18.000000Z",
"updated_at": "2023-09-24T12:11:48.000000Z",
"avatar": "",
"profile_photo_url": ""
}
}
Returns when the API token is invalid or missing.
Last modified on January 21, 2026
⌘I